#****************************************************************************
#**
#**  File     :  /cdimage/units/UAL0101/UAL0101_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Land Scout Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AHoverLandUnit = import('/lua/modules/aeonunits.lua').AHoverLandUnit
local ADFLaserLightWeapon = import('/lua/modules/aeonweapons.lua').ADFLaserLightWeapon

LD007 = Class(AHoverLandUnit) {
    Weapons = {
        LaserTurret = Class(ADFLaserLightWeapon) {}
    },
    OnStopBeingBuilt = function(self,builder,layer)
        AHoverLandUnit.OnStopBeingBuilt(self,builder,layer)
        self:SetMaintenanceConsumptionInactive()
        self:SetScriptBit('RULEUCC_IntelToggle', true)
        self:RequestRefreshUI()
    end,
}

TypeClass = LD007